cURL
curl --request GET \
--url https://api.juo.io/customer/v1/workflows/{runId} \
--header 'X-Delegated-Token: <api-key>' \
--header 'X-Tenant-ID: <x-tenant-id>'import requests
url = "https://api.juo.io/customer/v1/workflows/{runId}"
headers = {
"X-Tenant-ID": "<x-tenant-id>",
"X-Delegated-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Tenant-ID': '<x-tenant-id>', 'X-Delegated-Token': '<api-key>'}
};
fetch('https://api.juo.io/customer/v1/workflows/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workflowId": "<string>",
"workflowVersion": 123,
"runId": "<string>",
"runVersion": 123,
"pendingInteraction": {
"interactionId": "<string>",
"stepId": "<string>",
"actionType": "<string>",
"actionBehavior": "input",
"actionConfig": {},
"availableResponses": [
{
"type": "<string>",
"label": "<string>"
}
],
"presentedAt": "2023-11-07T05:31:56Z",
"timeoutMs": 123
},
"interactiveSteps": [
{
"stepId": "<string>",
"actionType": "<string>",
"actionConfig": {},
"availableResponses": [
{
"type": "<string>",
"label": "<string>"
}
]
}
],
"result": {},
"error": {
"message": "<string>",
"code": "<string>"
},
"invalidatedResources": [
"<string>"
],
"outcome": {
"type": "<string>",
"message": "<string>"
},
"completionData": {
"outcome": {
"type": "<string>",
"message": "<string>"
},
"endStep": {
"id": "<string>",
"category": "<string>",
"label": "<string>"
}
}
}Workflows
Get workflow run
Returns the current state of a workflow run.
GET
/
workflows
/
{runId}
cURL
Authorizations
DelegatedTokenAccessToken
Headers
Unique identifier of the tenant in the system (usually a store identifier)
Path Parameters
The workflow run identifier
Response
200 - application/json
Default Response
Available options:
running, waiting_interaction, completed, failed, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I